Funding

List address book entries

GET/v1/blockchain-manager/address-book

Returns the user's registered external blockchain addresses, optionally filtered by currency or network.

Only entries in validating or verified state are returned. Entries in validating state are waiting for the user to confirm an authorization email; only verified ones are ready for withdrawals.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Query Parameters

currency?string

Only return entries for this currency symbol.

Length1 <= length
network?string

Only return entries on this network.

Length1 <= length
status?string

Verification status. It is validated against the allowed values but does not filter the result: the list always contains the validating and verified entries.

Value in

  • "validating"
  • "verified"
  • "expired"
  • "disabled"

Response Body

application/json

application/json

application/json

List address book entries
curl --request GET \  --url 'https://gateway.bit2me.com/v1/blockchain-manager/address-book?currency=BTC&network=bitcoin&status=verified'
[  {    "address": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",    "addressId": "550e8400-e29b-41d4-a716-446655440000",    "createdAt": "2026-06-01T10:30:00.000Z",    "currency": "BTC",    "exchangeName": "Binance",    "name": "John",    "network": "bitcoin",    "personType": "person",    "status": "verified",    "surname": "Doe",    "updatedAt": "2026-06-01T10:35:00.000Z",    "userId": "550e8400-e29b-41d4-a716-446655440099",    "walletOwnership": "other",    "walletType": "exchange"  },  {    "address": "rN7pDEfkEfMX3gHoHKhqxGHHP46GcDiXm4",    "addressId": "550e8400-e29b-41d4-a716-446655440001",    "createdAt": "2026-06-10T08:00:00.000Z",    "currency": "XRP",    "network": "ripple",    "status": "verified",    "tag": "123456",    "updatedAt": "2026-06-10T08:05:00.000Z",    "userId": "550e8400-e29b-41d4-a716-446655440099",    "walletOwnership": "own",    "walletType": "unhosted"  }]